Re: Creating Panels in CAD

September 14th, 2016, 11:50 pm

User avatar
KenoLeon
full self-realization
full self-realization
Posts: 702
Joined: October 23rd, 2012, 12:22 pm
Location: Mexico City
like a quick sketch in a new medium it's not perfect, but here's a script I cobbled that I think almost does what you want ( you still have to press enter once per curve and it exports AI files) you can use it as a base for yours...



Sauce:

Code: Select all

# The Monet script by Keno Leon
# Notes:
# Exports profile curves from polysurfaces
# Substitute your DirectoryPath 
# hide or delete curves, leave only polysurfaces
# Select profile view
# RUN script
# Press enter a bunch
# has a minor bug on export
# provided as is no guarantees Tested on Rhino for Mac v 5.2.2 OS X El Capitan


import rhinoscriptsyntax as rs

meshes = rs.AllObjects()
for solid in (meshes):
        rs.SelectObject(solid)
        rs.Command("_MeshOutline _EnterEnd" )

rs.UnselectAllObjects()
polys = rs.ObjectsByType(16, True)
rs.Command("_Hide")

curves = rs.ObjectsByType(4, False)
for index, curve in enumerate(curves):
    print index, curve
    rs.SelectObject(curve)
    DirectoryPath = '/Users/theMonet/Desktop/Dev/RhinoPython/'
    fileName = DirectoryPath + str(index) + '.AI'
    cmd = "-_Export " + fileName + " _EnterEnd"
    rs.Command(cmd )
    rs.UnselectObject(curve)
Best,
Keno
Eugenio (Keno) Leon
k3no.com Linkedin Instagram

"Go where you are celebrated, not merely tolerated"

Re: Creating Panels in CAD

September 20th, 2016, 11:13 am

User avatar
NiMaTh
step one
step one
Posts: 20
Joined: June 22nd, 2015, 3:44 pm
KenoLeon wrote:Not sure I follow.

Why not :

1) make a bunch of equally spaced panels

2) make a surface

3) boolean the surface from the panels

2 minutes work...
skeletonboolean.jpg

this....
super easy in solidworks (intersect tool)

if you set it up as structural members, you can verify if there are any duplicates.... allows BOM management to be simplified.

Re: Creating Panels in CAD

September 22nd, 2016, 5:09 pm

Zachary_Fitean
Posts: 12
Joined: July 22nd, 2016, 3:57 pm
themonet wrote:
Zachary_Fitean wrote:http://www.123dapp.com/make

123D make by autodesk. Just make a form in rhino and import, 123d make does the rest and even lays it flat out for you

WOW! I've been looking for a tool like that for a while. definitely going to give that a shot.

Glad I could help!
Reply